> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Bot Publish Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To fetch the publish status of a given agent or the last completed status request for the agent. To initiate the Publish API, refer to [Publish Bot](/ai-for-service/apis/automation/publish-bot).

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                              |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/publish/status`                                                                       |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Bot Publish > Publish Status                                                         |

## Path Parameters

| Parameter | Description                                                                   | Required |
| --------- | ----------------------------------------------------------------------------- | -------- |
| `host`    | The environment URL. For example, `https://platform.kore.ai`.                 | Required |
| `BotId`   | Bot ID or Stream ID. Access it under **General Settings** on the App Builder. | Required |

## Sample Request

```bash theme={null}
curl -X GET 'https://{{host}}/api/1.1/public/bot/{{BotID}}/publish/status/' \
  -H 'Auth: {{YOUR_JWT_ACCESS_TOKEN}}'
```

## Body Parameters

No body parameters are passed.

## Sample Response

```json theme={null}
{
    "_id": "ds-4a1b3e3d-7f55-5d80-acc6-7066e5cxxxxx",
    "action": "RUN",
    "jobType": "PUBLISH_BOT",
    "streamId": "st-a86a6717-340b-5830-a8b6-13b4aebxxxxx",
    "__v": 0,
    "countOfDockStatuses": 1,
    "createdBy": "u-adb7cfc7-e9d1-55dd-acfc-214b82dxxxxx",
    "percentageComplete": 100,
    "requestedTime": "2022-07-29T08:04:48.731Z",
    "status": "successful",
    "lastModifiedOn": "2022-07-29T08:04:50.083Z",
    "initiatedOn": "2022-07-29T08:04:48.828Z",
    "statusSummary": [
        {
            "resourceId": "SETTINGS",
            "resourceType": "SETTINGS",
            "name": "Settings",
            "status": "SUCCESS"
        },
        {
            "resourceId": "CHANNELS",
            "resourceType": "CHANNELS",
            "name": "Channels",
            "status": "SUCCESS"
        },
        {
            "resourceId": "NL",
            "resourceType": "NL",
            "name": "Natural Language",
            "status": "SUCCESS"
        },
        {
            "resourceId": "AUTOVERSIONING",
            "resourceType": "AUTOVERSIONING",
            "name": "Creating New Version",
            "status": "SUCCESS"
        }
    ]
}
```

<Note>
  The possible values for the `status` field in the response are `successful`, `failed`, or `inprogress`.
</Note>
